> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get engagement users

> Get engagement users



## OpenAPI

````yaml get /v1/integrations/engagement-users
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/integrations/engagement-users:
    get:
      summary: Get engagement users
      description: Get engagement users
      parameters:
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: string
          required: false
          name: engagementId
          in: query
        - schema:
            type: string
          required: false
          name: userId
          in: query
      responses:
        '200':
          description: Get engagement users
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    engagementId:
                      type: string
                    userId:
                      type: string
                    name:
                      type: string
                    organizationId:
                      type: string
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                    integrationConnectionId:
                      type: string
                  required:
                    - id
                    - engagementId
                    - userId
                    - organizationId
                    - createdAt
                    - updatedAt
                    - integrationConnectionId
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````